<?php
//check access
if (!function_exists('is_admin')) {
	header('Status: 403 Forbidden');
	header('HTTP/1.1 403 Forbidden');
	exit();
}
//menu
function ht_settings_page() {
	add_menu_page('hamyar_ticket', __('Hamyar ticket', 'hts'), 'manage_options', 'hamyar_ticket_settings', 'hamyar_ticket_settings_page');
}

//register
add_action('admin_menu', 'ht_settings_page');
//start settings page
function hamyar_ticket_settings_page() {

	//check premission
	if (!current_user_can('manage_options')) {
		wp_die(__('You do not have sufficient permissions to access this page.'));
	}
	//delete ticket
	if (isset($_GET['hamyar_do'])) {
		if ($_GET['hamyar_do'] == 'del') {
			if (isset($_GET['hamyar_id'])) {
				if (!empty($_GET['hamyar_id'])) {
					if (hamyar_check_id($_GET['hamyar_id'])) {
						global $wpdb;
						$hamyar_table_name = $wpdb -> base_prefix . "hamyar_ticket";
						$hamyar_id = hamyar_clean($_GET['hamyar_id']);
						$wpdb -> query("DELETE FROM  $hamyar_table_name WHERE msgcode='$hamyar_id' ");
					}
				}
			}
		}
	}
	//update setting
	if (isset($_POST['Hamyar_Submit'])) {
		$hamyar_update = hamyar_clean($_POST['hamyar_url']);
		update_option("hamyar_page", $hamyar_update);
		$hamyar_update = hamyar_clean($_POST['hamyar_date']);
		update_option("hamyar_date", $hamyar_update);
	}
	$hamyar_url = get_option("hamyar_page");
	//include panel file
	include (dirname(__FILE__) . '/panel.php');
	//include JQuery files for sortable
	wp_enqueue_script('dashboard');
}
?>
